0

I have successfully installed steam and dota 2. But when I try to play dota2 this pops up :

Unable to start game.
Failed to create OpenGL context. Your graphics card must support at least OpenGL v3.1

Can run the game Dota 2 in Windows 10, but when I try to play it in Ubuntu fail.

My OS is ubuntu 16.04 LTS 64 bit

My hardware is :

  • CPU : Intel Core i3 350M 2.26 GHz
  • RAM : 4 GB
  • Graphics : Intel HD Graphics

Please help to solve this problem.

  • 1
    It's perfectly possible for the same game to work in Windows (DirectX) and not work in Linux/OS X (OpenGL). Apparently your graphics supports up to OpenGL 3.0 only. Conclusion: Upgrade your hardware. – user589808 Oct 23 '16 at 17:26
1

As @CelticWarrior said, in the official documentation for your graphics card, OpenGL v3.1 and above is not supported. Your graphics card may very well be able to run the required version of DirectX, but not OpenGL. In order to run Dota 2, you would either need to go back to Windows or upgrade your hardware to a supported model.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.